package com.mobisoft.youtubedatareading.listeners;

import android.view.View;
import android.view.View.OnClickListener;

import com.mobisoft.youtubedatareading.interfaces.KeyValuePairInterface;
import com.mobisoft.youtubedatareading.interfaces.YouTubeVideoSearchDelegate;

public class YouTubeSearchListener implements OnClickListener,
		KeyValuePairInterface {

	private YouTubeVideoSearchDelegate youtubeDelegate;

	public YouTubeSearchListener(YouTubeVideoSearchDelegate youtubeDelegate) {
		this.youtubeDelegate = youtubeDelegate;
	}

	@Override
	public void onClick(View v) {
		youtubeDelegate.searchYoutubeVideos(0);
	}

}
