package com.mobisoft.youtubedatareading.listeners;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.view.View;
import android.view.View.OnClickListener;

import com.mobisoft.youtubedatareading.interfaces.KeyValuePairInterface;
import com.mobisoft.youtubedatareading.utils.Logger;
import com.mobisoft.youtubedatareading.utils.UtilityClass;

public class YouTubeViedoPlayListener implements OnClickListener,
		KeyValuePairInterface {

	private Context context;
	private String url;

	public YouTubeViedoPlayListener(Context context, String url) {
		this.context = context;
		this.url = url;
	}

	@Override
	public void onClick(View v) {
		Logger.debug("Youtube url" + url);
		// String videoId = UtilityClass.getYouTubeIdFromUrl(url);

		if (!UtilityClass.getNetworkState(context)) {
			UtilityClass.showAlerDialog(context, ERROR, INTERNET_NOT_AVAILABLE,
					null, 0);
		} else {
			context.startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse(url)));

		}

		/*
		 * Intent intent = new Intent(context, YoutubeVideoPlayActivity.class);
		 * intent.putExtra(URL, url); context.startActivity(intent);
		 */

	}

}
